=== debian/changelog ===
ants (2.1.0-2~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 27 Oct 2015 16:23:42 -0400

ants (2.1.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/rules
    - specify CMAKE_INSTALL_RPARTH
    - symlink into /usr/bin other tools which shouldn't conflict in names

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Oct 2015 09:24:51 -0400

ants (2.1.0-1) experimental; urgency=medium

  * New upstream release
    - requires ITK >= 4.7 (debian/control adjusted)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Feb 2015 00:12:03 -0500
