=== Examples/TestSuite/CMakeLists.txt ===
--- 
+++ 
@@ -110,7 +110,7 @@
   --compareNumberOfPixelsTolerance 1000
 
   antsRegistrationTest
-  --dimensionality 3
+  -v --dimensionality 3
   --convergence 25x20x5 #numberOfIterations 2500
   --shrink-factors 1x1x1
   --smoothing-sigmas 0.1x0.1x0.1
@@ -131,7 +131,7 @@
   --compareNumberOfPixelsTolerance 1000
 
   antsRegistrationTest
-  --dimensionality 3
+  -v --dimensionality 3
   --convergence 25x20x5
   --shrink-factors 1x1x1
   --smoothing-sigmas 0.1x0.1x0.1
@@ -152,7 +152,7 @@
   --compareNumberOfPixelsTolerance 777
 
   antsRegistrationTest
-  --dimensionality 3
+  -v --dimensionality 3
   --convergence 25x20x5
   --shrink-factors 1x1x1
   --smoothing-sigmas 0.1x0.1x0.1
@@ -173,7 +173,7 @@
   --compareNumberOfPixelsTolerance 777
 
   antsRegistrationTest
-  --dimensionality 3
+  -v --dimensionality 3
   --convergence 25x20x5
   --shrink-factors 1x1x1
   --smoothing-sigmas 0.1x0.1x0.1
@@ -193,7 +193,7 @@
   --compareNumberOfPixelsTolerance 777
 
   antsRegistrationTest
-  --dimensionality 3
+  -v --dimensionality 3
   --convergence 25x20x5
   --shrink-factors 1x1x1
   --smoothing-sigmas 0.1x0.1x0.1
@@ -214,7 +214,7 @@
   --compareNumberOfPixelsTolerance 777
 
   antsRegistrationTest
-  --dimensionality 3
-  --convergence 25x20x5
-  --shrink-factors 1x1x1
-  --smoothing-sigmas 0.1x0.1x0.1
+  -v --dimensionality 3
+  --convergence 25x20x5
+  --shrink-factors 1x1x1
+  --smoothing-sigmas 0.1x0.1x0.1
