=== debian/changelog ===
ants (2.2.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - reduce parallelism on amd64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2017 18:36:57 +0200

ants (2.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 May 2017 10:23:17 -0400

ants (2.1.0+git715-ge56f961-1) unstable; urgency=medium

  * New upstream snapshot from v2.1.0-715-ge56f961
  * Absorbing and acknowleding NMUs for 2.1.0-4
    (Thank you Mattia and Gianfranco!)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Dec 2016 09:14:30 -0500

ants (2.1.0+git635-g0752c29-1) experimental; urgency=medium

  * New upstream snapshot from v2.1.0-635-g0752c29

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Jun 2016 12:21:41 -0400

ants (2.1.0-5ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - reduce parallelism on amd64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Mar 2017 14:05:10 +0100

ants (2.1.0-5) unstable; urgency=medium

  * joinfusion -> jointfusion symlink (Closes: #856941)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Mar 2017 19:05:12 -0500

ants (2.1.0-4.3ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - reduce parallelism on amd64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Aug 2016 12:06:22 +0200

ants (2.1.0-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove openjpeg from Build-Depends.  Closes: #826806

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 11 Aug 2016 08:47:06 +0000

ants (2.1.0-4.2ubuntu1) yakkety; urgency=medium

  * Try to fix build failure by reducing parallelism on amd64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Jul 2016 11:43:08 +0200

ants (2.1.0-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix dcmtk dependency (Closes: #811166)
  * Bump std-version to 3.9.8.
  * Remove libpng12-dev alternative dependency.
  * Fix insecure VCS fields.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Apr 2016 16:25:13 +0200

ants (2.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/5608ed64ee9993882e99781172568238933170d6.patch:
    fix build failure with new ITK (Closes: #817257)
  * Fix dcmtk dependency (Closes: #811166)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Apr 2016 07:50:56 +0000

ants (2.1.0-4) unstable; urgency=medium

  * debian/control
    - removed first versioned libpng16-dev which is apparently still
      in experimental. So now libpng-dev virtual is the first among
      libpng build-depends (Closes: #810165)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 09 Jan 2016 22:55:52 -0500

ants (2.1.0-3) unstable; urgency=medium

  * debian/control
    - add libpng16-dev | libpng-dev to build-depends
      (Closes: #810165, #809860)
  * debian/{control,rules}
    - drop any VTK dependency for now and still build without VTK support
      (Closes: #798166)
  * if builds/uploaded fine, it means that all the compatibility issues with
    g++-5 were resolved (Closes: #777771)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Jan 2016 08:45:47 -0500
