=== debian/control ===
--- 
+++ 
@@ -1,30 +1,25 @@
 Source: ants
 Section: science
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 9),
                help2man, cmake,
-               libopenjpeg-dev, libinsighttoolkit4-dev (>> 4.7.0~), uuid-dev,
-               tcl-vtk | libvtk5-dev (<< 5.8),
-               python-vtk | libvtk5-dev (<< 5.8),
-               libvtk-java | libvtk5-dev (<< 5.8),
-               libvtk5.8-qt4 | libvtk5-dev (<< 5.8),
+               libinsighttoolkit4-dev (>> 4.7.0~), uuid-dev,
                libboost-dev,
                libtiff-dev,
-               libdcmtk2-dev,
+               libdcmtk-dev | libdcmtk2-dev,
                libfftw3-dev,
                libhdf5-dev,
-               libpng12-dev,
-Standards-Version: 3.9.5
+               libpng-dev
+Standards-Version: 3.9.8
 Homepage: http://www.picsl.upenn.edu/ANTS/
-Vcs-Git: git://git.debian.org/pkg-exppsy/ants.git
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/ants.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/ants.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/ants.git
 
 Package: ants
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: gpe-conf
 Recommends: environment-modules
 Suggests: fsl, gridengine-client, r-base-core
