=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 export  https_proxy=http://127.0.0.1:9/
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+ifeq ($(DEB_HOST_ARCH),amd64)
+  export DEB_BUILD_OPTIONS=parallel=2
+endif
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
     export CFLAGS += -O0
@@ -77,7 +81,7 @@
 	: Move binaries under usr/lib/ants
 	mv debian/ants/usr/bin/* debian/ants/usr/lib/ants
 	: Symlink binaries of primary importance and with ants prefix into /usr/bin
-	for fp in debian/ants/usr/lib/ants/{ants*,ANTS*,WarpImageMultiTransform,WarpTimeSeriesImageMultiTransform,Atropos,LaplacianThickness,joinfusion}; do \
+	for fp in debian/ants/usr/lib/ants/{ants*,ANTS*,WarpImageMultiTransform,WarpTimeSeriesImageMultiTransform,Atropos,LaplacianThickness,jointfusion}; do \
 		f=$$(basename $$fp); \
 		dh_link usr/lib/ants/$$f usr/bin/$$f; \
 	done
