=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/g,filenamemangle=s/.*\/(.*)/ants-$1\.tar\.gz/" \
  http://github.com/stnava/ANTs/releases .*archive/v([\d\.a-z]+).tar.gz
