## ants 2.4.3+dfsg

=== debian/changelog ===
ants (2.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release 2.4.3+dfsg:
    - Build is successful on amd64 (Closes: #872741, #884710, #909833)
    - Building against insighttoolkit5 (Closes: #1018921)
  * Removing d/docs, there are no more documentation files to install
  * Skipping tests relying on external data with unclear licensing
  * Rewriting d/copyright
  * Repacking to exclude a non-free file
  * Adding myself as Uploader
  * Adding B-D on two itk modules: adaptiveDenoising and
    genericLabelInterpolator
  * Adding linker flags to build against libitkadaptivedenoising-dev
  * Adding a header to the up_lower_cc_3_test_i386_precision patch
  * Removing d/s/include-binaries
  * Removing legacy patches
  * Honouring the RPATH fixed in debian/rules
  * Adding perl:Depends to the Depends: field in d/control
  * Installing shared libs in a private directory, installing shell scripts
    without the .sh extension
  * debian/rules:
    - Hardening
    - Revising the creation process of man pages by overriding dh_installman
    - Removing get_upstream_external_data target
    - Keeping the built .so files in the binary package
    - Updating paths after changes in last upstream versions (Closes: #905417)
    - Polishing by removing useless lines or stanzas
  * Revising and documenting Lintian overrides
  * Fixing minor spelling mistakes

  [ Andreas Tille ]
  * Take over package into Debian Med team maintenance
  * Remove debian/gbp.conf
  * Raising Standards-Version to 4.7.0:
    - debhelper-compat 13 (routine-update)
    - Secure URI in copyright format (routine-update)
    - Rules-Requires-Root: no (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * watch file standard 4 (routine-update)
  * Build-Depends specifies only libpng-dev (Closes: #819427)
  * Fix watchfile to detect new versions on Github (routine-update)

  [ Dimitri Papadopoulos Orfanos ]
  * SVN → Git
  * Update README.source

 -- Pierre Gruet <pgt@debian.org>  Tue, 03 Sep 2024 21:31:29 +0200
